*{
	padding: 0;
	margin: 0;
	box-sizing: border-box;
} 

body{
    font-family: 'Poppins', sans-serif;
}

.wave{
	position: fixed; 
	bottom: 0; 
	left: 0;
	height: 100%; 
	z-index: -1;
}
/* =============== error flash ============ */
/* ====================== flash message ================= */
.toast{
    position: fixed;
    top: 10px;
    left: 15px;
    border-radius: 12px;
    background: #fff;
    padding: 20px 20px 20px 25px;
    box-shadow: 0 5px 10px rgba(0,0,0,0.1);
    border-right: 5px solid rgb(31, 233, 31);
    overflow: hidden;
    transform: translateX(calc(-100% - 30px));
    transition: all 0.5s cubic-bezier(0.68, -0.55, 0.265, 1.35);
	z-index: 1000;
}
.toast.error {
    border-right: 5px solid rgb(235, 30, 30);
}

.toast.active{
    transform: translateX(0%);
}

.toast .toast-content{
    display: flex;
    align-items: center;
}

.toast-content .check{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 35px;
    width: 35px;
    background-color: rgb(31, 233, 31);
    color: #fff;
    font-size: 20px;
    border-radius: 50%;
}
.toast.error .toast-content .check{
    background-color: rgb(235, 30, 30);
}

.toast-content .message{
    display: flex;
    flex-direction: column;
    margin: 0 20px;
}

.message .text{
    font-size: 16px;
    font-weight: 400;;
    color: #666666;
}

.message .text.text-1{
    font-weight: 400;
    color: #333;
}

.toast .close{
    position: absolute;
    top: 10px;
    right: 15px;
    padding: 5px;
    cursor: pointer;
    opacity: 0.7;
}

.toast .close:hover{
    opacity: 1;
}

.toast .progress{
    position: absolute;
    bottom: 0;
    left: 0;
    height: 3px;
    width: 100%;
    background: #ddd;
}

.toast .progress:before{
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: rgb(31, 233, 31);
}
.toast.error .progress:before{
    background-color: rgb(235, 30, 30);
}

@keyframes progress {
    100%{
        left: 100%;
    }
}

.progress.active:before{
    animation: progress 7s linear forwards;
}

.container{
    min-height: 100vh;
    display: flex;
    justify-content: center;
	align-items: center;
    padding: 0 2rem;
}

.login-content{
	display: flex;
	justify-content: flex-start;
	align-items: center;
	text-align: center;
	padding: 1.5rem 2.5rem;
    border-radius: 20px;
	box-shadow: rgba(17, 17, 26, 0.2) 2px 2px 16px;
	width: 100%;
	max-width: 800px;
}
.login .login-content {
	width: 100%;
	max-width: 400px;
}
.container.login .login-content {
	padding: 2.5rem;
}
.logo {
	margin-top: 0;
}
.logo img {
    width: 100%;
    max-width: 150px;
}

form{
	width: 100%;
}
 

.login-content h1 a{
	margin-bottom: 5px;
	color: #5956e9;
	font-size: 25px;
	font-weight: 600;
	margin-top: 0;
}
.login-content h2{
	margin-top: 10px;
	margin-bottom: 20px;
	color: #555;
	font-size: 1.3rem;
	font-weight: 700;
}
.login-content h2 span {
	color: #5956e9;
	font-weight: 700;
}
.user-details{
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	margin: 20px 0 12px 0;
}

.error-container {
	display: flex;
	flex-direction: column;
	margin: 15px 0;
	width: calc(100% / 2 - 20px);
}
.password-wrapper {
	width: 100%;
	display: flex;
	justify-content: space-between;
	align-items: center;
	flex-wrap: wrap;
}
.login .error-container {
	display: flex;
	flex-direction: column;
	margin: 28px 0;
	width: 100%;
}
.errormessage {
	width: 100%;
	text-align: left;
	padding-left: 10px;
	font-weight: 500;
	font-size: 14px;
	padding-top: 3px;
	color: rgb(247, 34, 34);
}

.login-content .input-div{
	position: relative;
    display: grid;
	grid-template-columns: 93% 7%;
    padding: 0px 0;
	width: 100%;
    border-bottom: 2px solid #d9d9d9; 
}

.error-container.error .input-div {
	border-bottom: 2px solid rgb(247, 34, 34);
}

.login-content .input-div.one{
	margin-top: 0;
}

.i{
	color: #d9d9d9;
	display: flex;
	justify-content: center;
	align-items: center;
}

.i i{
	transition: .3s;
}

.input-div > div{
    position: relative;
	height: 45px;
	width: 100%;
}

.input-div > div > h5{
	position: absolute;
	left: 10px;
	top: 50%;
	transform: translateY(-50%);
	color: #999;
	font-size: 16px;
	width: 100%;
	text-align: left;
	transition: .3s;
}

.coupon {
	width: 100%;
	display: flex;
	margin-bottom: 10px;
}
.coupon span {
	color: #999;
	font-size: 15px;
	font-weight: 600;
	padding-right: 10px;
	transition: .2s;
	cursor: pointer;
}

.coupon span:hover{
	color: #4a48d4;
}
.coupon-input {
	display: none;
}

.show {
	display: block;
}
.input-div:before, .input-div:after{
	content: '';
	position: absolute;
	bottom: -2px;
	width: 0%;
	height: 2px;
	background-color: #5956e9;
	transition: .4s;
}
.error-container.error .input-div:before, .error-container.error .input-div:after {
	background-color: rgb(247, 34, 34);
}


.input-div:before{
	right: 50%;
}

.input-div:after{
	left: 50%;
}

.input-div.focus:before, .input-div.focus:after{
	width: 50%;
}

.input-div.focus > div > h5{
	top: -5px;
	font-size: 15px;
	width: 100%;
}

.input-div.focus > .i > i{
	color: #5956e9;
}
.error-container.error .input-div.focus > .i > i{
	color: rgb(247, 34, 34);
}
.error-container.error .input-div > .i > i {
	color: rgb(247, 34, 34);
}

.input-div > div > input{
	position: absolute;
	right: 0;
	left: 0;
	width: 100%;
	height: 100%;
	border: none;
	outline: none;
	background: none;
	padding: 0rem 0.7rem;
	font-size: 1rem;
	font-weight: 400;
	color: #666;
	font-family: 'poppins', sans-serif;
}

.input-div.pass{
	margin-bottom: 4px;
}
 
a{
	display: block;
	text-decoration: none;
	color: #999;
	font-size: 14px;
	margin-top: 1.5rem;
	margin-bottom: 0rem;
	font-weight: 500;
	transition: .3s;
	text-align: center;
}
.forgot-link {
	text-align: right;
	margin-top: 0.5rem;
	margin-right: 7px;
}
.login .last-input {
	margin-bottom: 0.9rem;
}

a:hover{
	color: #2a27dd;
}

.btn{
	display: block;
	width: 100%;
	height: 50px;
	border-radius: 15px;
	outline: none;
	border: none;
	background-image: linear-gradient(to right, #5956e9, #423fd6, #2a28c7);
	background-size: 200%;
	font-size: 1.2rem;
	color: #fff;
	font-family: 'Poppins', sans-serif;
	text-transform: uppercase;
	margin: 1rem 0;
	margin-top: 2rem;
	cursor: pointer;
	transition: .5s;
	font-weight: 700;
}
.btn:hover{
	background-position: right;
}

/* select =================== */
.select-box {
	display: flex;
	flex-direction: column;
	width: 100%;
	position: relative;
}
.select-box .options-container {
	background-color: #5956e9;
	color: #fff;
	width: 100%;
	max-height: 0;
	opacity: 0;
	transition: all 0.4s;
	border-radius: 10px;
	overflow: hidden;
	order: 1;
	position: absolute;
	top: calc(100% + 2px);
	z-index: 60;
}

.select-box .options-container.activec {
	max-height: 200px;
	overflow-y: scroll;
	opacity: 1;
}
.select-box .options-container::-webkit-scrollbar {
	width: 8px;
	background-color: #999;
	border-radius: 10px 0px 0px 10px;

}
.select-box .options-container::-webkit-scrollbar-thumb {
	width: 8px;
	background-color: #555;
	border-radius: 10px;

}
.select-box .selected {
	background-color: #5956e9;
	border-radius: 10px;
	margin-bottom: 8px;
	color: #fff;
	position: relative;
	order: 0;
	display: flex;
	justify-content: space-between;
	align-items: center;
}
.select-box .selected .fa {
	transition: all 0.4s;
}
.select-box .options-container.activec + .selected .fa {
	transform: rotate(180deg);
}


.select-box .option, .selected {
	padding: 12px 24px;
}
.select-box .option:hover {
	background-color: #2421d6;
}
.select-box label, .select-box, .selected {
	cursor: pointer;
}
.select-box .option .radio {
	display: none;
}





@media screen and (max-width: 1050px){
	.container{
		grid-gap: 5rem;
	}
}

@media screen and (max-width: 1000px){

	/* .login-content h2{
        font-size: 24px;
        margin: 8px 0;
	} */

	.img img{
		width: 400px;
	} 
}

@media screen and (max-width: 900px){
	.container{
		grid-template-columns: 1fr;
	}

	.wave{
		display: none;
	}
 
	.login-content{
		justify-content: center;
	}
}
@media(max-width: 700px){
	.select-box label {
		font-size: 14px; 
	}
}
@media(max-width: 584px){
	.error-container {
	   width: 100%;
	}
	.login-content h1 a {
		font-size: 20px;
	}
	.login-content h2 {
		font-size: 18px;
	}
}
@media(max-width: 360px){
	.container.login .login-content {
		padding: 2rem 1rem;
	}
}
